<?php include ('includes/header.php'); ?>
<div class="main-container container">
    <form id="deposit-form" action="<?php echo $url; ?>/_send_deposit.php" enctype="multipart/form-data" method="POST">
        <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
        <input type="hidden" name="group_id" value="<?php echo isset($_GET['group_id']) ? $_GET['group_id'] : '0'; ?>">
        <div class="col-auto align-self-center">
            <a href="<?php echo $url; ?>" class="btn btn-link back-btn text-color-theme">
                <i class="bi bi-arrow-left size-20"></i>
                <?php echo $textadmin255; ?>
            </a>
        </div>
        <div class="row mb-3">
            <div class="col">
                <small class="mb-0">
                    <?php echo $text208; ?>
                </small>
                <span>
                    <small class="text-opac">
                        <?php echo get_payment("bank", "currency"); ?>
                    </small>
                    <?php echo get_payment("bank", "advertisevalue"); ?>
                </span>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card card-light shadow-sm mb-4">
                    <div class="card-body">
                        <div class="deposit-account">
                            <?php echo get_payment("bank", "client"); ?>
                        </div>
                    </div>
                </div>
                <div class="card card-light shadow-sm mb-4">
                    <div class="card-body">
                        <div class="upload_payment">
                            <label id="fileName">
                                <?php echo $text206; ?>
                            </label>
                            <input type="file" accept="image/*" name="payment_voucher" id="fileInput"
                                onchange="displayFileName()">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12 d-grid">
                <button type="submit" id="submitButton" class="btn btn-lg btn-default shadow-sm">
                    <?php echo $text209; ?>
                </button>
            </div>
        </div>
    </form>
</div>
</main>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        document.getElementById('deposit-form').addEventListener('submit', function (e) {
            e.preventDefault();
            document.getElementById('submitButton').setAttribute('disabled', 'true');

            var xhr = new XMLHttpRequest();
            xhr.open('POST', this.action, true);
            xhr.onload = function () {
                if (xhr.status >= 200 && xhr.status < 400) {
                    var response = JSON.parse(xhr.responseText);
                    Swal.fire(response.title, response.message, response.type);
                    afterSuccess();
                    if (response.type == 'success') {
                        window.location.href = response.url;
                    }
                }
            };
            xhr.send(new FormData(this));
        });
    });

    function afterSuccess() {
        document.getElementById('submitButton').removeAttribute('disabled');
    }
</script>
<script>
    function displayFileName() {
        var fileInput = document.getElementById('fileInput');
        var fileName = fileInput.value.split('\\').pop();
        document.getElementById('fileName').innerHTML = '<?= $text207; ?>: ' + fileName;
    }
</script>
<script src="<?php echo $url; ?>/assets/js/jquery-3.7.0.min.js"></script>
<script src="<?php echo $url; ?>/assets/js/main.js"></script>
<script src="<?php echo $url; ?>/assets/js/mode_dark.js"></script>
</body>

</html>