<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require '../vendor/autoload.php';
include ("../db.php");
include ("../class.php");
include ("../functions.php");
$website = new website($mysqli);
$email_settings = $website->getSql("email_settings", 1);
$newslettersql = $website->selectNewsletter();
$Settings = $website->getSql("settings", 1);
$sitename = $Settings['site_title'];
$logo = $url . '/uploads/logo/logo.png';
$conditions = [['main', '=', 1]];
$lang_main = $website->sqlSelectTables('languages', ['file'], $conditions, 'array');
$lang_user = $lang_main['file'];
$langcode = metalang($lang_main['file']);
include ("../lang/" . $lang_user);

if (mysqli_num_rows($newslettersql) > 0) {

    $destinatarios = [];
    $newsletter = mysqli_fetch_array($newslettersql);
    $id_newsletter = $newsletter['id_newsletter'];
    $max_id = $newsletter['max_id'];
    $max_id_send = $newsletter['max_id_send'];
    $limit_email = $email_settings['limit_email'];
    $total_emails = $newsletter['total_emails'];
    $e_subject = $newsletter['subject'];
    $e_body = $newsletter['message'];
    $linkcancel = $url . '/newsletter_cancel.php';

    if ($total_emails < $limit_email) {

        $limit_email = $total_emails / 4;
        $limit_email = ceil($limit_email);
    }

    include ("../includes/email_template_newsletter.php");

    $emailsql = $website->selectEmails($max_id_send, $max_id, $limit_email);

    if (mysqli_num_rows($emailsql) == 0) {

        $dados_update = array('completed' => 1);
        $website->sqlUpdate("newsletter", $dados_update, "id_newsletter = '$id_newsletter'");

    } else {

        while ($row = mysqli_fetch_array($emailsql)) {

            $destinatarios[] = $row["email"];
            $id_email = $row["id_email"];
        }


        if ($email_settings['phpmailer'] == 'on') {
            //Create an instance; passing `true` enables exceptions
            $mail = new PHPMailer(true);
            $mail->isSMTP();
            $mail->CharSet = 'UTF-8';
            $mail->Encoding = 'quoted-printable';
            $mail->Host = $email_settings['host'];
            $mail->SMTPAuth = ($email_settings['smtp_auth'] == 'on') ? true : false;
            $mail->Username = $email_settings['username'];
            $mail->Password = $email_settings['password'];
            $mail->SMTPSecure = $email_settings['encrypt'];
            ;
            $mail->Port = $email_settings['port'];

            $mail->setFrom($email_settings['mail'], $e_subject);
            $mail->addReplyTo($email_settings['mail'], $e_subject);

            $mail->isHTML(true);


            foreach ($destinatarios as $destinatario) {

                try {
                    $mail->addAddress($destinatario);
                    $mail->Subject = $sitename;
                    $mail->Body = $message;
                    $mail->AltBody = $message;
                    $mail->send();
                } catch (Exception $e) {
                    $erro = substr($mail->ErrorInfo, 0, 15);
                    if ($erro == "Invalid address") {
                        $dados_update = array('invalid' => 1);
                        $website->sqlUpdate("emails", $dados_update, "email = '$destinatario'");
                    }
                }

                $mail->clearAddresses();
                $mail->clearAttachments();
                $website->updateNewsletterSend($id_email, $id_newsletter);
            }
        }
    }
}
