<?php
session_start();
//BY codigolaranja.com
header('X-Frame-Options: SAMEORIGIN');
header("X-XSS-Protection: 1; mode=block");
header("X-Content-Type-Options: nosniff");
header("Referrer-Policy: strict-origin-when-cross-origin");
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
$version = "2.9.1";
include("db.php");
include("functions.php");
include("class.php");

$website = new website($mysqli);
$Settings = $website->getSql("settings", 1);
$sitename = $Settings['site_title'];
$description = $Settings['meta_description'];
$keywords = $Settings['meta_keywords'];
$facebook = $Settings['fb_page'];
$twitter = $Settings['twitter_link'];
$youtube = $Settings['youtube_link'];
$instagram = $Settings['instagram_link'];
$emailsite = $Settings['site_email'];
$Active = $Settings['active'];
$rtl = $Settings['rtl'];
$email_on = $Settings['email_confirmation'];
$logo = $url . '/uploads/logo/logo.png';
$timezone = $Settings['timezone'];
$maximumslug = "100"; //maximum slug size
$preload = $Settings['preloading_enable'];
date_default_timezone_set($timezone);
$data = date($Settings['date']);
$data_clock = date($Settings['date'] . ' H:i:s');

if (isset($_GET['name'])) {
    $title = $_GET['name'] . ' - ' . $sitename;
} else {
    $title = $sitename;
}

$conditions = [['main', '=', 1]];
$lang_main = $website->sqlSelectTables('languages', ['file'], $conditions, 'array');


if (isset($_GET['lang'])) {
    setcookie('language', $_GET['lang'], (time() + (365 * 24 * 3600)));
    $current_url = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
    $query_string = parse_url($current_url, PHP_URL_QUERY);
    parse_str($query_string, $query_params);
    unset($query_params['lang']);
    $query_string_updated = http_build_query($query_params);
    $url_without_lang = str_replace("?$query_string", "", $current_url) . ($query_string_updated ? "?$query_string_updated" : "");
    header("Location:" . $url_without_lang);

}

if (isset($_COOKIE['language'])) {

    $file_lang_cookies = $_COOKIE['language'];

    if (file_exists("lang/" . $file_lang_cookies) or file_exists("../lang/" . $file_lang_cookies)) {
        $lang_user = $_COOKIE['language'];
        $langcode = metalang($file_lang_cookies);
    } else {
        $lang_user = $lang_main['file'];
        $langcode = metalang($lang_main['file']);
    }
} else {
    $lang_user = $lang_main['file'];
    $langcode = metalang($lang_main['file']);
}

include("lang/" . $lang_user);


$LoggedUsername = "";
$UserInfo = array();

if (isset($_SESSION["username"]) && $_SESSION['logged_in'] === true) {
    $acess = true;
    $LoggedUser = $_SESSION['username'];
    $UserInfo = $website->userLogged($LoggedUser);
    $LoggedUsername = strtolower($UserInfo['username']);
    $Userusername = $UserInfo['username'];
    $UserId = $UserInfo['id'];
    $UserName = $UserInfo['name_user'];
    $UserAvatar = $UserInfo['image'];
    $UserEmail = $UserInfo['email'];
    $UserPassword = $UserInfo['password'];
    $UserType = $UserInfo['type'];
    $SessionCode = $UserInfo['session_code'];
    $loggin = true;

    $ProfileAvatar = $UserAvatar;
    if (empty($ProfileAvatar)) {
        $ProfilePic = '' . $url . '/images/avatar.png';
    } elseif (!empty($ProfileAvatar)) {
        $ProfilePic = '' . $url . '/uploads/avatars/' . $ProfileAvatar;
    }

    if ($SessionCode != $_SESSION['session_code']) {
        $acess = false;
        $UserId = 0;
        $loggin = false;
    }
} else {
    $acess = false;
    $UserId = 0;
    $loggin = false;
}

$anuncio = $website->getSql("advertisements", 1);
$ads_banner1 = $anuncio['ad1'];
$ads_banner2 = $anuncio['ad2'];
$ads_banner3 = $anuncio['ad3'];
$ads_banner4 = $anuncio['ad4'];

$color = $website->getSql("visual_config", 1);
$pwa = $website->getSql("pwa", 1);
$email_settings = $website->getSql("email_settings", 1);

if (get_payment("paypal", "mode") == "1") {
    $paypal_sandbox = "1";
    $site_paypal_client_id = get_payment("paypal", "client_sandbox");
    $site_paypal_secret_id = get_payment("paypal", "secret_sandbox");
} else {


    $paypal_sandbox = "0";
    $site_paypal_client_id = get_payment("paypal", "client");
    $site_paypal_secret_id = get_payment("paypal", "secret");
}

define('STRIPE_API_KEY', get_payment("stripe", "secret")); //STRIPE API KEY
define('STRIPE_PUBLISHABLE_KEY', get_payment("stripe", "client")); //STRIPE PUBLISHABLE KEY
define('STRIPE_SUCCESS_URL', $url . '/includes/payment-stripe-success.php');
define('STRIPE_CANCEL_URL', $url . '/pay.php?pay=cancel'); //Payment cancel URL 

$productName = $textadmin134 . '-' . $sitename;
$currency = get_payment("paypal", "currency") ?? get_payment("stripe", "currency");
$productPrice = get_payment("paypal", "advertisevalue") ?? get_payment("stripe", "advertisevalue");

if (isset($_GET['pwa'])) {
    $exp = time() + 60 * 60 * 24 * 365;
    setcookie("pwa", "true", $exp);
}
$submit_page = ['submit.php', 'send_group.php'];

$path = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);

if (strpos($path, '/admincp/') === false) {
    $coundataviews = $website->viewbyDate($data);
}

$common_pages = ['login.php', 'register.php', 'recover.php', 'recover-new-password.php'];
if ($path == "/admincp/login.php") {
    $account_user_pages = array_diff($common_pages, ['login.php']);
} else {
    $account_user_pages = $common_pages;
}

$protected_pages = ['my-links.php', 'my-account.php', 'edit-group.php', 'update_group.php', 'account.php', 'my-payments.php'];

if ($path == "/admincp/account.php") {
    $protected_pages = array_diff($protected_pages, ['account.php']);
}

if ($Settings['account_enable'] == "on") {
    if (!$acess and in_array(basename($_SERVER['PHP_SELF']), $protected_pages) or !$acess and in_array(basename($_SERVER['PHP_SELF']), $submit_page)) {
        header("Location: /user/login.php");
        exit();
    }
} else {
    if (in_array(basename($_SERVER['PHP_SELF']), $protected_pages) or in_array(basename($_SERVER['PHP_SELF']), $account_user_pages)) {
        header("Location: /index.php");
        exit();
    }
}



