<?php

//BY codigolaranja.com

function categorygroup($id)
{
    global $mysqli;
    $id = mysqli_real_escape_string($mysqli, $id);
    $categorysql = $mysqli->query("SELECT * FROM `categories` WHERE `category_id` = $id ");
    if (!$categorysql) {
        return null;
    }
    $countcat = mysqli_num_rows($categorysql);
    if ($countcat < 1) {
        return null;
    }

    $categoryname = mysqli_fetch_array($categorysql);
    $categoryname = $categoryname['category'];

    return $categoryname;
}

function total_cat_item($category_id)
{
    global $mysqli;
    global $textadmin383;
    global $textadmin384;
    $category_id = mysqli_real_escape_string($mysqli, $category_id);
    $count_cat_sql = $mysqli->query("SELECT COUNT(*) as num FROM `groups` WHERE `category` = '$category_id' AND `active` = '1'");
    $count_itens = mysqli_fetch_array($count_cat_sql);
    $count_itens = $count_itens['num'];

    if ($count_itens > 1) {
        $count_itens = $count_itens . ' ' . $textadmin384;
    } else {
        $count_itens = $count_itens . ' ' . $textadmin383;
    }

    return $count_itens;
}


//return category link
function categorygrouplink($id)
{
    global $mysqli;
    global $url;
    $id = mysqli_real_escape_string($mysqli, $id);
    $categorysql = $mysqli->query("SELECT * FROM `categories` WHERE `category_id` = $id ");
    if (!$categorysql) {
        // A consulta SQL falhou, retorne NULL ou exiba uma mensagem de erro.
        return null;
    }
    $countcat = mysqli_num_rows($categorysql);
    if ($countcat < 1) {
        // O ID fornecido não é válido, retorne NULL ou exiba uma mensagem de erro.
        return null;
    }
    $categoryname = mysqli_fetch_array($categorysql);
    $categorylink = !empty($categoryname['slug']) ? $categoryname['slug'] : slugify($categoryname['category']);
    $categorylink = $url . '/category/' . $id . '/' . ($categorylink) . '/all';
    return $categorylink;
}

//return meta tag
function metalang($file)
{
    global $mysqli;
    $file = mysqli_real_escape_string($mysqli, $file);
    $metasql = $mysqli->query("SELECT * FROM `languages` WHERE `file` = '$file' ");
    if (!$metasql) {
        // A consulta SQL falhou, retorne NULL ou exiba uma mensagem de erro.
        return null;
    }
    $countmeta = mysqli_num_rows($metasql);
    if ($countmeta < 1) {
        // O arquivo fornecido não é válido, retorne NULL ou exiba uma mensagem de erro.
        return null;
    }
    $metarow = mysqli_fetch_array($metasql);
    $meta = $metarow['meta_tag'];
    return $meta;
}

//returns the name of group
function platformgroup($id)
{

    global $mysqli;
    $platform_sql = $mysqli->query("SELECT * FROM `platforms` WHERE `id` = '$id' ");
    $platform = mysqli_fetch_array($platform_sql);

    return array($platform['name'], $platform['image']);
}



//returns a string without accents
function tirarAcentos($string)
{
    if (!is_string($string)) {
        // Entrada inválida, retorne NULL ou exiba uma mensagem de erro.
        return null;
    }

    // Substitui os caracteres com acentos
    $string = preg_replace(
        array(
            "/(á|à|ã|â|ä)/",
            "/(Á|À|Ã|Â|Ä)/",
            "/(é|è|ê|ë)/",
            "/(É|È|Ê|Ë)/",
            "/(í|ì|î|ï)/",
            "/(Í|Ì|Î|Ï)/",
            "/(ó|ò|õ|ô|ö)/",
            "/(Ó|Ò|Õ|Ô|Ö)/",
            "/(ú|ù|û|ü)/",
            "/(Ú|Ù|Û|Ü)/",
            "/(ñ)/",
            "/(Ñ)/"
        ),
        explode(" ", "a A e E i I o O u U n N"),
        $string
    );

    // Substitui espaços em branco por hífens
    $string = str_replace(' ', '-', $string);

    // Remove a barra '/'
    $string = str_replace('/', '-', $string);

    return $string;
}


//returns the string without emojis
function remove_emoji($string)
{
    // Match Enclosed Alphanumeric Supplement
    $regex_alphanumeric = '/[\x{1F100}-\x{1F1FF}]/u';
    $clear_string = preg_replace($regex_alphanumeric, '', $string);

    // Match Miscellaneous Symbols and Pictographs
    $regex_symbols = '/[\x{1F300}-\x{1F5FF}]/u';
    $clear_string = preg_replace($regex_symbols, '', $clear_string);

    // Match Emoticons
    $regex_emoticons = '/[\x{1F600}-\x{1F64F}]/u';
    $clear_string = preg_replace($regex_emoticons, '', $clear_string);

    // Match Transport And Map Symbols
    $regex_transport = '/[\x{1F680}-\x{1F6FF}]/u';
    $clear_string = preg_replace($regex_transport, '', $clear_string);

    // Match Supplemental Symbols and Pictographs
    $regex_supplemental = '/[\x{1F900}-\x{1F9FF}]/u';
    $clear_string = preg_replace($regex_supplemental, '', $clear_string);

    // Match Miscellaneous Symbols
    $regex_misc = '/[\x{2600}-\x{26FF}]/u';
    $clear_string = preg_replace($regex_misc, '', $clear_string);

    // Match Dingbats
    $regex_dingbats = '/[\x{2700}-\x{27BF}]/u';
    $clear_string = preg_replace($regex_dingbats, '', $clear_string);

    return $clear_string;
}


//check if the current url
function linkactive($url_link, $url_request)
{

    $url_a = substr($url_link, 7); //if it is http
    $url_b = substr($url_link, 8); //if it is https

    if ($url_a == $url_request or $url_b == $url_request) {
        $statuslink = 'active';
    } else {
        $statuslink = '';
    }

    return $statuslink;
}
//checks if the user has access
function permissoes($url, $page)
{
    if ($page != 'on') {
        header("location:" . $url . "/admincp/index.php");
    }
}

//function to crop the image
function resize_crop_image($max_width, $max_height, $source_file, $dst_dir, $quality = 100)
{
    $imgsize = getimagesize($source_file);
    $width = $imgsize[0];
    $height = $imgsize[1];
    $mime = $imgsize['mime'];

    switch ($mime) {
        case 'image/gif':
            $image_create = "imagecreatefromgif";
            $image = "imagegif";
            break;

        case 'image/png':
            $image_create = "imagecreatefrompng";
            $image = "imagepng";
            $quality = 6;
            break;

        case 'image/jpeg':
            $image_create = "imagecreatefromjpeg";
            $image = "imagejpeg";
            $quality = 60;
            break;

        default:
            return false;
            break;
    }

    $dst_img = imagecreatetruecolor($max_width, $max_height);
    // Definir o fundo transparente para imagens PNG
    if ($mime === 'image/png') {
        $quality = intval($quality);
        imagealphablending($dst_img, false);
        imagesavealpha($dst_img, true);
        $transparent = imagecolorallocatealpha($dst_img, 0, 0, 0, 127);
        imagefill($dst_img, 0, 0, $transparent);
    } else {
        // Para outros tipos de imagem, preencha o fundo com branco
        $white = imagecolorallocate($dst_img, 255, 255, 255);
        imagefill($dst_img, 0, 0, $white);
    }

    $src_img = $image_create($source_file);
    $width_new = $height * $max_width / $max_height;
    $height_new = $width * $max_height / $max_width;

    if ($width_new > $width) {
        $h_point = (($height - $height_new) / 2);
        $h_point = intval($h_point);
        imagecopyresampled($dst_img, $src_img, 0, 0, 0, $h_point, $max_width, $max_height, $width, $height_new);
    } else {
        $w_point = (($width - $width_new) / 2);
        $w_point = intval($w_point);
        imagecopyresampled($dst_img, $src_img, 0, 0, $w_point, 0, $max_width, $max_height, $width_new, $height);
    }

    $image($dst_img, $dst_dir, $quality);

    if ($dst_img) {
        imagedestroy($dst_img);
    }
    if ($src_img) {
        imagedestroy($src_img);
    }
}
function get_integer_param($param, $default = 0)
{
    $filtered_param = filter_var($param, FILTER_VALIDATE_INT);
    return ($filtered_param !== false) ? $filtered_param : $default;
}

function get_payment($pro, $dat)
{

    global $mysqli;

    $payment_sql = $mysqli->query("SELECT * FROM `payments_settings` WHERE `name` = '$pro' ");
    $paymentrow = mysqli_fetch_array($payment_sql);
    $payment_info = $paymentrow[$dat];
    $payment_sql->close();

    return $payment_info;
}

function pay_active()
{

    global $mysqli;
    $pay_sql = $mysqli->query("SELECT * FROM `payments_settings` WHERE `active` = 'on' ");
    if (!$pay_sql) {
        $active = false;
    }
    $countcat = mysqli_num_rows($pay_sql);
    if ($countcat < 1) {
        $active = false;
    } else {
        $active = true;
    }


    return $active;
}

function boost_active($id)
{

    global $mysqli;
    $boost_sql = $mysqli->query("SELECT expire FROM `payments` WHERE `produit` = '$id' ORDER by `id_payment` DESC ");
    $coutpay = mysqli_num_rows($boost_sql);

    if ($coutpay > 0) {
        $datagroup = mysqli_fetch_array($boost_sql);
        $expire = $datagroup['expire'];
        $today = time();
        if ($expire > $today) {
            $active = "feat";
        } else {
            $active = "nofeat";
        }
    } else {
        $active = "nofeat";
    }



    return $active;
}


function fvm($value)
{

    $vf = preg_replace('/[^0-9.]/', '', $value);
    $vf = (float) $vf;
    $vf = number_format($vf, 2, '.', '');

    return $vf;
}

function slugify($text)
{
    $text = mb_strtolower($text, 'UTF-8');
    $text = preg_replace('/[\s_]+/', '-', $text);
    $text = preg_replace('/[^a-z0-9\-]/', '', $text);
    $text = preg_replace('/-+/', '-', $text);
    $text = trim($text, '-');
    return $text;
}

function extrairCodeVideoYouTube($url)
{
    $padrao1 = '/(?:youtube\.com\/watch\?v=|youtu\.be\/)([a-zA-Z0-9_-]+)/';
    $padrao2 = '/youtube\.com\/embed\/([a-zA-Z0-9_-]+)/';

    if (preg_match($padrao1, $url, $matches) || preg_match($padrao2, $url, $matches)) {
        return $matches[1];
    } else {
        return false;
    }
}

function upload_errors($err_code)
{
    switch ($err_code) {
        case UPLOAD_ERR_INI_SIZE:
            return 'The uploaded file exceeds the upload_max_filesize directive in php.ini';
        case UPLOAD_ERR_FORM_SIZE:
            return 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
        case UPLOAD_ERR_PARTIAL:
            return 'The uploaded file was only partially uploaded';
        case UPLOAD_ERR_NO_FILE:
            return 'No file was uploaded';
        case UPLOAD_ERR_NO_TMP_DIR:
            return 'Missing a temporary folder';
        case UPLOAD_ERR_CANT_WRITE:
            return 'Failed to write file to disk';
        case UPLOAD_ERR_EXTENSION:
            return 'File upload stopped by extension';
        default:
            return 'Unknown upload error';
    }
}

function removeSpecialCharsAndEmojis($str)
{
    $str = preg_replace('/[^\p{L}\p{N}\s]/u', '', $str);
    $str = tirarAcentos($str);
    $str = preg_replace('/[\x{1F600}-\x{1F64F}\x{1F300}-\x{1F5FF}\x{1F680}-\x{1F6FF}\x{2600}-\x{26FF}\x{2700}-\x{27BF}]/u', '', $str);

    return $str;
}

function str_random($length)
{
    $pool = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';

    return substr(str_shuffle(str_repeat($pool, 5)), 0, $length);
}

function ratings($post_id, $rating)
{

    $html = '<div class="star-rating" data-post-id="' . $post_id . '">
        <input id="star5" name="rating" type="radio" value="5">
        <label for="star5" ' . ($rating > 4 ? 'class="active"' : '') . ' title="5 stars"></label>
        <input id="star4" name="rating" type="radio" value="4">
        <label for="star4" ' . ($rating > 3 ? 'class="active"' : '') . ' title="4 stars"></label>
        <input id="star3" name="rating" type="radio" value="3">
        <label for="star3" ' . ($rating > 2 ? 'class="active"' : '') . ' title="3 stars"></label>
        <input id="star2" name="rating" type="radio" value="2">
        <label for="star2"  ' . ($rating > 1 ? 'class="active"' : '') . ' title="2 stars"></label>
        <input id="star1" name="rating" type="radio" value="1">
        <label for="star1" ' . ($rating > 0 ? 'class="active"' : '') . ' title="1 star"></label>
    </div>';

    return $html;

}