<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

include("init.php");
//Load Composer's autoloader
require 'vendor/autoload.php';


$htmlconfig = HTMLPurifier_Config::createDefault();
$htmlconfig->set('HTML.ForbiddenElements', 'script');
$purifier = new HTMLPurifier($htmlconfig);


$UploadDirectory = 'uploads/groups/';
if (!@file_exists($UploadDirectory)) {
    die('<div class="alert alert-danger">Make sure Upload directory exist!</div>');
}


if ($_POST) {

    if ($Settings['recaptcha_enable'] == 'on' and $Settings['account_enable'] == "off") {
        if (empty($_POST['g-recaptcha-response'])) {
            die('<div class="alert alert-danger" role="alert">' . $textadmin314 . '</div>');
        }
        $RetornaCaptcha = json_decode(file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $Settings['recaptcha_secretkey'] . '&response=' . $_POST['g-recaptcha-response']));
        if ($RetornaCaptcha->success === false) {
            die('<div class="alert alert-danger" role="alert">' . $textadmin313 . '</div>');
        }
    }



    if (!isset($_POST['name']) || strlen($_POST['name']) < 1) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text24 . '</div>');
    }


    if (!isset($_POST['description']) || strlen($_POST['description']) < 12) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text25 . '</div>');
    }

    if ($Settings['account_enable'] == "off") {
        $vmail = $_POST['email'];
        if (!filter_var($vmail, FILTER_VALIDATE_EMAIL)) {
            die('<script>grecaptcha.reset();</script><div class="alert alert-danger">' . $text50 . '</div>');
        }
    }

    if (!isset($_FILES['img_group'])) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text26 . '</div>');
    }


    if ($_FILES['img_group']['error']) { ?>
        <script>
            grecaptcha.reset();
        </script>
        <?php
        die(upload_errors($_FILES['img_group']['error']));
    }


    if (!isset($_POST['link']) || strlen($_POST['link']) > 1) {
        $CheckSource = mysqli_real_escape_string($mysqli, $_POST['link']);
        if (!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $CheckSource)) {
            die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text27 . '</div>');
        }
    }

    if (!$website->allowedDomains($_POST['platform'], $_POST['link'])) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text195 . '</div>');
    }

    if (!empty($_POST['youtube_link'])) {
        $CheckYoutubelink = mysqli_real_escape_string($mysqli, $_POST['youtube_link']);
        if (!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $CheckYoutubelink)) {
            die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text97 . '</div>');
        }
    }

    if ($website->checkLink($_POST['link'])) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text196 . '</div>');
    }

    if ($Settings['slug_enable'] == "on" and empty($_POST['slug']) and strlen($_POST['slug']) < 3) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . $text85 . '</div>');
    }

    if (strlen($_POST['slug']) > $maximumslug) {
        die('<script>grecaptcha.reset();</script><div class="alert alert-danger" role="alert">' . str_replace("%", $maximumslug, $text86) . '</div>');
    }


    $size = getimagesize($_FILES['img_group']["tmp_name"]);
    $ImageName = strtolower($_FILES['img_group']['name']);
    $name = mysqli_real_escape_string($mysqli, $_POST['name']);
    $link = mysqli_real_escape_string($mysqli, $_POST['link']);
    $prohibitions = mysqli_real_escape_string($mysqli, $_POST['prohibitions']);
    $description = mysqli_real_escape_string($mysqli, $_POST['description']);
    $description = $purifier->purify($description);
    $platform = mysqli_real_escape_string($mysqli, $_POST['platform']);
    $category = mysqli_real_escape_string($mysqli, $_POST['category']);
    $ImageExt = substr($ImageName, strrpos($ImageName, '.'));
    $FileType = $_FILES['img_group']['type'];
    $FileSize = $_FILES['img_group']["size"];
    $RandNumber = rand(0, 9999999999);
    $delete = rand(0, 9999999999);
    $link = mysqli_real_escape_string($mysqli, $_POST['link']);
    $date = $data;
    $slug = mysqli_real_escape_string($mysqli, $_POST['slug']);
    $tags = !empty($_POST['tags']) ? mysqli_real_escape_string($mysqli, $_POST['tags']) : '';
    $yt_link = !empty($_POST['youtube_link']) ? extrairCodeVideoYouTube($_POST['youtube_link']) : '';


    if ($Settings['account_enable'] == "off") {
        $email = mysqli_real_escape_string($mysqli, $_POST['email']);
    } else {
        $email = $UserEmail;
    }

    $sql_check = $mysqli->query("SELECT * FROM `emails` WHERE `email` = '$email'");
    if (mysqli_num_rows($sql_check) == 0) {
        $mysqli->query("INSERT INTO `emails`(`email`) VALUES ('$email')");
    }

    if (!empty($slug)) {
        $slug = slugify($slug);
    }

    switch (strtolower($FileType)) {
        case 'image/png':
        case 'image/gif':
        case 'image/jpeg':
            break;
        default:

            die('<div class="alert alert-danger" role="alert">' . $text28 . '</div>');
    }


    $imgname = removeSpecialCharsAndEmojis($name);
    $imgname = tirarAcentos($imgname);
    $imgname = $imgname . '_' . $RandNumber . $ImageExt;
    $img_dir = $UploadDirectory . $imgname;

    if ($size[0] > 500 or $size[1] < 500) {
        resize_crop_image(500, 500, $_FILES['img_group']["tmp_name"], $img_dir);
    } else {
        move_uploaded_file($_FILES['img_group']["tmp_name"], $UploadDirectory . $imgname);
    }

    if ($email_on == 'on' && $Settings['account_enable'] == "off") {

        $code_email = substr(uniqid(rand()), 0, 10);
        $link_cofirm_email = $url . "/confirm_email/" . $code_email;
        $e_subject = $text68 . ' - ' . $sitename;
        $e_body = str_replace('%', $name, $text69);
        include("includes/email_group_submit.php");
        if ($email_settings['phpmailer'] == 'on') {
            $mail = new PHPMailer(true);

            $mail->isSMTP();
            $mail->CharSet = 'UTF-8';
            $mail->Encoding = 'quoted-printable';
            $mail->Host = $email_settings['host'];
            $mail->SMTPAuth = ($email_settings['smtp_auth'] == 'on') ? true : false;
            $mail->Username = $email_settings['username'];
            $mail->Password = $email_settings['password'];
            $mail->SMTPSecure = $email_settings['encrypt'];
            $mail->Port = $email_settings['port'];

            $mail->setFrom($email_settings['mail'], $e_subject);
            $mail->addReplyTo($email_settings['mail'], $e_subject);

            $mail->isHTML(true);


            try {
                $mail->addAddress($email);

                $mail->Subject = $text68 . ' - ' . $sitename;
                $mail->Body = $message;
                $mail->AltBody = $message;

                $mail->send();
            } catch (Exception $e) {
                $mail->ErrorInfo;
            }

            $mail->clearAddresses();
            $mail->clearAttachments();
        } else {
            $e_content = "\"$sitename\"\r\n\n";
            $msg = $e_body . $e_content;
            $cabecalho = 'MIME-Version: 1.0' . "\r\n";
            $cabecalho .= 'Content-type: text/html; charset=iso-8859-1;' . "\r\n";
            $cabecalho .= "X-Mailer: PHP/" . phpversion() . "\r\n";
            $cabecalho .= "Return-Path: $emailsite \r\n";
            $cabecalho .= "From: $emailsite \r\n";
            $cabecalho .= "Reply-To: $emailsite \r\n";


            mail($email, $e_subject, $message, $cabecalho);
        }

        $mysqli->query("INSERT INTO `groups`( `name`, `description`, `category`, `platform`, `image`, `featured`, `date`, `active`, `prohibitions`, `link`, `views`, `email`, `confirm_email`, `slug`, `tags`, `youtube_link`) VALUES ('$name','$description','$category','$platform','$imgname','0','$date','2','$prohibitions','$link', '0','$email', '$code_email','$slug', '$tags','$yt_link')");


        ?>
        <script type="text/javascript">
            function leave() {
                window.location = "/submit";
            }
            setTimeout("leave()", 1000);
        </script>
        <?php die('<div class="alert alert-success" role="alert">' . $text66 . '</div>');
    } else {

        $mysqli->query("INSERT INTO `groups`( `name`, `description`, `category`, `platform`, `image`, `featured`, `date`, `active`, `prohibitions`, `link`, `views`, `email`, `confirm_email`, `slug`, `tags`, `youtube_link`) VALUES ('$name','$description','$category','$platform','$imgname','0','$date','$Active','$prohibitions','$link', '0','$email', '','$slug', '$tags','$yt_link')");
        ?>
        <script type="text/javascript">
            function leave() {
                window.location = "/share-link";
            }
            setTimeout("leave()", 1000);
        </script>
        <?php

        die('<div class="alert alert-success" role="alert">' . $text29 . '</div>');
    }
}
?>