<?php
include('db.php');

if ($mysqli->connect_error) {
    die("Error db: " . $mysqli->connect_error);
}

/**
 * Verifies if a column exists in a database table and adds it if it doesn't.
 *
 * @param string $table The name of the database table.
 * @param string $column The name of the column to verify.
 * @param string $type The data type of the column.
 * @throws Exception If there is an error in the SQL query.
 * @return string The result message indicating if the column exists or was added successfully.
 */
function dbVerifyColumn($table, $column, $type)
{

    global $mysqli;

    $sqlCheckColumn = "SHOW COLUMNS FROM $table LIKE '$column'";
    $result = $mysqli->query($sqlCheckColumn);

    if ($result->num_rows == 0) {
        $sqlAddColumn = "ALTER TABLE `$table` ADD COLUMN `$column` $type";
        if ($mysqli->query($sqlAddColumn) === TRUE) {
            $result = '<span data-ty="input" data-ty-prompt=">>>">' . $column . ' Added in ' . $table . ' Updated</span>';
        } else {
            $result = '<span data-ty="input" data-ty-prompt=">>>">' . $table . ' Error</span><span data-ty></span>';
        }
    } else {
        $result = '<span data-ty="input" data-ty-prompt=">>>">' . $column . ' Already exists in ' . $table . ' OK!</span>';
    }

    return $result;

    $mysqli->close();
}


function dbAlterColumn($table, $column, $type)
{

    global $mysqli;
    $sqlCheckColumn = "SHOW COLUMNS FROM `$table` LIKE '$column'";
    $result = $mysqli->query($sqlCheckColumn);

    if ($result->num_rows == 1) {
        $sqlAddColumn = "ALTER TABLE `$table`  MODIFY COLUMN `$column` $type;";
        if ($mysqli->query($sqlAddColumn) === TRUE) {
            $result = '<span data-ty="input" data-ty-prompt=">>>">' . $column . ' Altered in ' . $table . ' Updated</span>';
        } else {
            $result = '<span data-ty="input" data-ty-prompt=">>>">' . $table . ' Error</span><span data-ty></span>';
        }
    } else {
        $result = '<span data-ty="input" data-ty-prompt=">>>">' . $column . ' Already exists in ' . $table . '</span>';
    }

    return $result;

    $mysqli->close();
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Update DB - Codigo Laranja</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Fira+Mono'>
    <style>
        body {
            --color-bg: #ddd;
            --color-text: #1a1e24;
            --color-text-subtle: #D76D77;

            padding: 0;
            margin: 0;
            background: linear-gradient(to right, #3a1c71, #d76d77, #ffaf7b);
            width: 100%;
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        /**
 * termynal.js
 *
 * @author Ines Montani <ines@ines.io>
 * @version 0.0.1
 * @license MIT
 */

        :root {
            --color-bg: #252a33;
            --color-text: #eee;
            --color-text-subtle: #a2a2a2;
        }

        [data-termynal] {
            width: 750px;
            max-width: 100%;
            background: var(--color-bg);
            color: var(--color-text);
            font-size: 18px;
            font-family: 'Fira Mono', Consolas, Menlo, Monaco, 'Courier New', Courier, monospace;
            border-radius: 4px;
            padding: 75px 45px 35px;
            position: relative;
            box-sizing: border-box;
        }

        [data-termynal]:before {
            content: '';
            position: absolute;
            top: 15px;
            left: 15px;
            display: inline-block;
            width: 15px;
            height: 15px;
            border-radius: 50%;
            /* A little hack to display the window buttons in one pseudo element. */
            background: #d9515d;
            box-shadow: 25px 0 0 #f4c025, 50px 0 0 #3ec930;
        }

        [data-ty] {
            display: block;
            line-height: 2;
        }

        [data-ty]:before {
            /* Set up defaults and ensure empty lines are displayed. */
            content: '';
            display: inline-block;
            vertical-align: middle;
        }

        [data-ty="input"]:before,
        [data-ty-prompt]:before {
            margin-right: 0.75em;
            color: var(--color-text-subtle);
        }

        [data-ty="input"]:before {
            content: '$';
        }

        [data-ty][data-ty-prompt]:before {
            content: attr(data-ty-prompt);
        }

        [data-ty-cursor]:after {
            content: attr(data-ty-cursor);
            font-family: monospace;
            margin-left: 0.5em;
            -webkit-animation: blink 1s infinite;
            animation: blink 1s infinite;
        }


        /* Cursor animation */

        @-webkit-keyframes blink {
            50% {
                opacity: 0;
            }
        }

        @keyframes blink {
            50% {
                opacity: 0;
            }
        }
    </style>
</head>

<body>
    <div id="termynal" data-termynal data-termynal data-ty-typeDelay="40" data-ty-lineDelay="700">
        <span data-ty="input">Starting Update</span>
        <span data-ty="progress"></span>
        <?php

        $query = $mysqli->query("SHOW TABLES LIKE 'ratings'");

        if ($query && $query->num_rows > 0) {
            echo '<span data-ty="input" data-ty-prompt=">>>">Table ratings already exists</span> ';
        } else {

            $sql = $mysqli->query("CREATE TABLE `ratings` (
                `id` int(11) NOT NULL AUTO_INCREMENT,
                `item` int(11) NOT NULL DEFAULT '0',
                `rating` int(11) NOT NULL,
                `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
                `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
                PRIMARY KEY (`id`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

            echo '<span data-ty="input" data-ty-prompt=">>>">Importing ratings table...</span><span data-ty="progress"></span><span data-ty="input"ratings table inserted successfully</span><span data-ty></span>';
        } ?>
        <span data-ty="input">Update finished</span>
    </div>
    <!-- partial -->
    <script src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/316871/termynal.min.js'></script>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var termynal = new Termynal('#termynal');
        });
    </script>

</body>

</html>